Bug 448427 - Package 'ruby' does not follow multilib conventions [NEEDINFO]
Package 'ruby' does not follow multilib conventions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
9
ppc64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 14:55 EDT by Sérgio Durigan Júnior
Modified: 2009-07-14 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: needinfo? (sergiodj)


Attachments (Terms of Use)

  None (edit)
Description Sérgio Durigan Júnior 2008-05-26 14:55:59 EDT
Description of problem
======================

I'm using a biarch PPC64 machine here (64-bit kernel with mixed 32- and 64-bit
apps), and I'm building and installing Ruby's RPM (from
'ruby-1.8.6.114-1.fc9.src.rpm', but using Fedora 8). The build process goes well
and I have both *.ppc and *.ppc64 RPMs here. The problem occurs when I try to
install them in the same machine. I can install every RPM from one arch (e.g.,
for PPC), but then I'm unable to install the RPMs from the other arch (e.g., for
PPC64).

Here goes the install log for every PPC RPM:

[root@bart ~]# rpm -ivh /home/sergio/rpmbuild/RPMS/ppc/ruby-*
Preparing...                ########################################### [100%]
   1:ruby-libs              ########################################### [ 10%]
   2:ruby                   ########################################### [ 20%]
   3:ruby-debuginfo         ########################################### [ 30%]
   4:ruby-tcltk             ########################################### [ 40%]
   5:ruby-irb               ########################################### [ 50%]
   6:ruby-rdoc              ########################################### [ 60%]
   7:ruby-devel             ########################################### [ 70%]
   8:ruby-docs              ########################################### [ 80%]
   9:ruby-mode              ########################################### [ 90%]
  10:ruby-ri                ########################################### [100%]


Now, when I try to install the PPC64 RPMs:

[root@bart ~]# rpm -ivh /home/sergio/rpmbuild/RPMS/ppc64/ruby-*
Preparing...                ########################################### [100%]
        file /usr/share/doc/ruby-docs-1.8.6.114/ext/dl/dlconfig.rb from install
of ruby-docs-1.8.6.114-1.fc8 conflicts with file from package
ruby-docs-1.8.6.114-1.fc8
        file /usr/src/debug/ruby-1.8.6.114/ruby-1.8.6-p114/ruby.c from install
of ruby-debuginfo-1.8.6.114-1.fc8 conflicts with file from package
ruby-debuginfo-1.8.6.114-1.fc8
        file /usr/share/ri/1.8/system/created.rid from install of
ruby-ri-1.8.6.114-1.fc8 conflicts with file from package ruby-ri-1.8.6.114-1.fc8


Version-Release number of selected component (if applicable)
============================================================

I'm using Fedora 8 to build the RPMs. The SRPM is 'ruby-1.8.6.114-1.fc9.src.rpm'.

How reproducible
================




Steps to Reproduce:
1. Generate both *.ppc.rpm and *.ppc64.rpm RPMs for Ruby.
2. Try to install them at the same machine

Actual results
==============

I receive an error regarding file conflicts for PPC and PPC64 files. This
indicates that the package doesn't follow the multilib conventions for Fedora.


Expected results
================

The packages should install fine.


Additional info
===============

To be more specific, the packages that are generating this error message are
'ruby-doc', 'ruby-debuginfo' and 'ruby-ri'.
Comment 1 Sérgio Durigan Júnior 2008-06-02 15:59:37 EDT
Hi,

Any news/comments about this?

Thanks.
Comment 2 Akira TAGOH 2008-06-05 08:32:12 EDT
(In reply to comment #0)
> [root@bart ~]# rpm -ivh /home/sergio/rpmbuild/RPMS/ppc64/ruby-*
> Preparing...                ########################################### [100%]
>         file /usr/share/doc/ruby-docs-1.8.6.114/ext/dl/dlconfig.rb from install
> of ruby-docs-1.8.6.114-1.fc8 conflicts with file from package
> ruby-docs-1.8.6.114-1.fc8

pondering to remove or rename that since this is just an example file and
contains the architecture-dependent content. there seems to be a plan to ignore
such multilib issue for the kind of documentation in rpm itself though.

>         file /usr/src/debug/ruby-1.8.6.114/ruby-1.8.6-p114/ruby.c from install
> of ruby-debuginfo-1.8.6.114-1.fc8 conflicts with file from package
> ruby-debuginfo-1.8.6.114-1.fc8

This can be fixed with ifdef'ed.

>         file /usr/share/ri/1.8/system/created.rid from install of
> ruby-ri-1.8.6.114-1.fc8 conflicts with file from package ruby-ri-1.8.6.114-1.fc8

I'm not quite sure if this can be really gone since that contains the timestamp
when it's created. which means hard to sync among each architectures. also need
to research if there are any Ruby applications referring that value.
Comment 3 Sérgio Durigan Júnior 2008-07-11 17:00:44 EDT
Hello Akira,

I appreciated your answer to the report. Please, let me know if you have some
news about it.

Thanks!
Comment 4 Sérgio Durigan Júnior 2008-07-22 10:51:08 EDT
Hi Akira,

Any news about it?

Thanks!
Comment 5 Fedora Admin XMLRPC Client 2009-01-30 07:45:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Jeroen van Meeuwen 2009-02-17 06:45:51 EST
I'm the new maintainer for ruby, is this issue still current?
Comment 7 Bug Zapper 2009-06-09 21:13:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:39:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.